FreeMat

- Main Page
- Related Pages

vtkGraphGeodesicPath

Section: Visualization Toolkit Graphics Classes

# Usage

Serves as a base class for algorithms that trace a geodesic on a polygonal dataset treating it as a graph. ie points connecting the vertices of the graph

To create an instance of class vtkGraphGeodesicPath, simply invoke its constructor as follows

      obj = vtkGraphGeodesicPath

# Methods

The class vtkGraphGeodesicPath has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGraphGeodesicPath class.

- `string = obj.GetClassName ()` - Standard methids for printing and determining type information.
- `int = obj.IsA (string name)` - Standard methids for printing and determining type information.
- `vtkGraphGeodesicPath = obj.NewInstance ()` - Standard methids for printing and determining type information.
- `vtkGraphGeodesicPath = obj.SafeDownCast (vtkObject o)` - Standard methids for printing and determining type information.
- `vtkIdType = obj.GetStartVertex ()` - The vertex at the start of the shortest path
- `obj.SetStartVertex (vtkIdType )` - The vertex at the start of the shortest path
- `vtkIdType = obj.GetEndVertex ()` - The vertex at the end of the shortest path
- `obj.SetEndVertex (vtkIdType )` - The vertex at the end of the shortest path